Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling

From: Juri Linkov <[email-masked]>
Date: Thu, 12 May 2022 19:46:33 +0300

>> When sometimes necessary to toggle case sensitivity, I use 'C-u rgrep'
>> and edit the command line by adding/removing "-i" before running grep.
>
> Yes, Reuben mentioned that in the bug report as an unsatisfactory
> interface, and I agree -- the prompt is over 1K long by default.  You
> can't expect users to deal with that.

It's easier to write own simple command than to learn a new key, e.g.

```
(defun irgrep ()
  (interactive)
  (let ((case-fold-search nil))
    (call-interactively 'rgrep)))
```